#ifndef __NACC_COMMON_H
#define __NACC_COMMON_H


#include <stdlib.h>  // free
#include <vdr/osd.h> // eOsdError


#define NACC_DEBUG

#define SLEEP_TIME 250

enum commands {
CMD_RCL, CMD_BS, CMD_AOF, CMD_AON, CMD_DER, CMD_RU2, CMD_RU3, CMD_RU4, CMD_FON,
CMD_RDC, CMD_TR, CMD_RTD, CMD_EDM, CMD_CR, CMD_ENM, CMD_EOC, 
CMD_TO1, CMD_TO2, CMD_TO3 };

#define S_AUTOMATIC 0
#define S_MANUAL 1
#define S_ONMUTE 2

static const tColor colors[4] = { clrBlack, clrWhite, clrTransparent, clrGray50 };

const char* OsdErrorToString(eOsdError err);

bool Equals(const uint8_t* d1, const uint8_t* d2, int length);
 
 
 
#ifdef NACC_DEBUG

#define L_MSG 0x01
#define L_ERR 0x02
#define L_DBG 0x04
#define L_TXT 0x08
#define L_DAT 0x10

void setLogType(uint8_t type);

void dprint(uint8_t type, const char* msg, ...);

#else

#define dprint(type, msg, args...)
#define setLogType(x)

#endif //NACC_DEBUG



#endif //__NACC_COMMON_H
